<!DOCTYPE html>
<html lang="ru">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="assets/css/style.css">
  <title>Beeinterns</title>
</head>

<body>
  <header>
    <div class="header-container">
      <div class="header-menu">
        <p>FAQ</p>
        <p>Поддержка</p>
        <p>Настройки</p>
        <div class="header-line"></div>
      </div>
      <div class="header-stats">
        <a class="header-stats-link" href="#">15 готовых дз</a>
        <a class="header-stats-link" href="#">18 лекций</a>
        <a class="header-stats-link" id="hours" href="#"><img class="header-red" src="assets/images/icon-1.svg" alt="">
          <b>1200</b><span> часов</span></a>
      </div>
      <div class="header-profile">
        <img src="assets/images/avatar.png" alt="Фото профиля" width="44px" height="44px">
        <div class="header-profile-text">
          <p>Вася Пупкин</p>
          <p class="header-profile-status">Online</p>
        </div>
        <p class="header-grade">PRO</p>
      </div>
    </div>
  </header>
  <div class="menu">
    <div class="menu-line">
      <a class="logo" href="#">
        <img src="assets/images/Group_5.svg" alt="Билайн">
      </a>
      <ul class="menu-nav">
        <li class="menu-item">
          <div class="toggle-item">
            <h3>Программа</h3>
            <button class="menu-toggle rotate" id="menuToggleProgramm">
              <img src="assets/images/toggle.svg" alt="toggle">
            </button>
          </div>
          <ul class="inactive" id="nestedMenuProgram">
            <li class="menu-item-nested">
              <a class="menu-item-nested-link" href="#">
                <img class="icon" src="assets/images/11.svg" alt="icon">
                Первая программа</a></li>
            <li class="menu-item-nested">
              <a class="menu-item-nested-link" href="#">
                <img class="icon" src="assets/images/11.svg" alt="icon">
                Вторая программа</a></li>
            <li class="menu-item-nested">
              <a class="menu-item-nested-link" href="#">
                <img class="icon" src="assets/images/11.svg">
                Третья программа</a></li>
          </ul>
        </li>
        <li class="menu-item">
          <button class="menu-button">
            <h3>МЕНТОРЫ</h3>
          </button>
        </li>
        <li class="menu-item">
          <div class="toggle-item">
            <h3>ЛЕКЦИИ</h3>
            <button class="menu-toggle rotate" id="menuToggleLections">
              <img src="assets/images/toggle.svg" alt="toggle">
            </button>
          </div>
          <ul class="inactive" id="nestedMenuLections">
            <li class="menu-item-nested">
              <a class="menu-item-nested-link" href="#">
                <img class="icon" src="assets/images/11.svg" alt="icon">
                HTML/CSS</a></li>
            <li class="menu-item-nested"><a class="menu-item-nested-link" href="#">
                <img class="icon" src="assets/images/22.svg" alt="icon">
                GIT</a></li>
            <li class="menu-item-nested"><a class="menu-item-nested-link" href="#">
              <img class="icon" src="assets/images/33.svg" alt="icon">
                JavaScript</a></li>
            <li class="menu-item-nested"><a class="menu-item-nested-link" href="#">
              <img class="icon" src="assets/images/44.svg" alt="icon">
                React</a></li>
            <li class="menu-item-nested"><a class="menu-item-nested-link" href="#">
              <img class="icon" src="assets/images/55.svg" alt="icon">
                Angular</a></li>
            <li class="menu-item-nested"><a class="menu-item-nested-link" href="#">
              <img class="icon" src="assets/images/66.svg" alt="icon">
                Data</a></li>
          </ul>
        </li>
        <li class="menu-item">
          <button class="menu-button">
            <h3>ПРАВИЛА ПОСТУПЛЕНИЯ</h3></a>
          </button>
        </li>
        <li class="menu-item">
          <button class="menu-button">
            <h3>НОВОСТИ</h3>
          </button>
        </li>
        <li class="menu-item">
          <button class="menu-button">
            <h3>ОБРАТНАЯ СВЯЗЬ</h3>
          </button>
        </li>
      </ul>
    </div>
    <div class="menu-mailing">
      <span>Получать рассылку</span>
      <label class="menu-switch">
        <input type="checkbox" checked>
        <span class="menu-slider round"></span>
      </label>
    </div>
  </div>
  <main>
    <div class="main-container">
      <div class="lectures-block-title">
        <div>
          <p class="lectures-subtitle">Все лекции на нашем сайте</p>
          <h2 class="lectures-title">ALL LECTURES</p>
        </div>
        <div class="button-block"> 
          <button class="filters-btn" data-filter-type="HTML">HTML</button>
          <button class="filters-btn" data-filter-type="CSS">CSS</button>
          <button class="filters-btn" data-filter-type="JavaScript">JavaScript</button>
          <button class="filters-btn" data-filter-type="React">React</button>
          <button class="filters-btn" data-filter-type="All" id="lectionCounter">8 лекций</button>
          <button id="rightArrowLections" ref="#" class="slider-btn"><img src="assets/images/left.svg" alt="left"></button>
          <button href="#" class="slider-btn"><img src="assets/images/right.svg" alt="right"></button>
        </div>
      </div>
      <div class="slider-container" id="allLectures">
        
      </div>
      <div class="lectures-block-title">
        <div>
          <p class="lectures-subtitle">Продвинутый уровень</p>
          <h2 class="lectures-title">JAVASCRIPT/REACT</p>
        </div>
        <div class="button-block">
          <a href="#" class="filters-btn">Все лекции</a>
          <a id="rightArrowLections" ref="#" class="slider-btn"><img src="assets/images/left.svg" alt="left"></a>
          <a href="#" class="slider-btn"><img src="assets/images/right.svg" alt="right"></a>
        </div>
      </div>
      <div class="slider-container">
        <div class="lecture-item" data-filters="JavaScript">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/1card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title base-lvl">JavaScript</h3>
              <p class="card-subtitle base-lvl">HTML-формы</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">01.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
        <div class="lecture-item" data-filters="JavaScript">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/2card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title base-lvl">JavaScript</h3>
              <p class="card-subtitle base-lvl">Принципы современной верстки сайта на flex</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">03.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
        <div class="lecture-item" data-filters="React">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/3card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title base-lvl">React</h3>
              <p class="card-subtitle base-lvl">Адаптивная верстка. Использование media и viewport</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">08.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
        <div class="lecture-item" data-filters="React">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/4card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title base-lvl">React</h3>
              <p class="card-subtitle base-lvl">CSS Grid</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">10.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
      </div>
      <div class="lectures-block-title">
        <div>
          <p class="lectures-subtitle">Продвинутый уровень</p>
          <h2 class="lectures-title">HTML/CSS</p>
        </div>
        <div class="button-block">
          <a href="#" class="filters-btn">Все лекции</a>
          <a href="#" class="slider-btn"><img src="assets/images/left.svg" alt="left"></a>
          <a href="#" class="slider-btn"><img src="assets/images/right.svg" alt="right"></a>
        </div>
      </div>
      <div class="slider-container">
        <div class="lecture-item" data-filters="HTML">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/1card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title">HTML-формы</h3>
              <p class="card-subtitle">HTML-формы</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">01.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
        <div class="lecture-item" data-filters="HTML">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/2card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title">HTML</h3>
              <p class="card-subtitle">Принципы современной верстки сайта на flex</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">03.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
        <div class="lecture-item" data-filters="CSS">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/3card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title">CSS</h3>
              <p class="card-subtitle">Адаптивная верстка. Использование media и viewport</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">08.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
        <div class="lecture-item" data-filters="CSS">
          <a href="#" class="lecture-button">Лекция</a>
          <img src="assets/images/4card.png" alt="html">
          <div class="card-container">
            <div>
              <h3 class="card-title">CSS</h3>
              <p class="card-subtitle">CSS Grid</p>
            </div>
            <div class="card-footer">
              <div class="card-footer-date">10.02.2022</div>
              <div class="card-footer-button">Смотреть</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
  <script src="main.js"></script>
</body>

</html>